/*********************************************************
	SBITMAP.H -- Header file for a simple bitmap class.
					 (Resource DDB's only in this version).
*********************************************************/
#if !defined (_SBITMAP_H)
	#define _SBITMAP_H
#include <windows.h>

class SBitmap
{
public:
	HBITMAP hbm;

	int cx;
	int cy;

	// Specify a default rasterop for our bitmap.
	//-----------------------------------------------------------
	// Normally this is SRCCOPY, but for XOR masks it's SRCINVERT
	// and for AND masks, it's SRCAND.
	//-----------------------------------------------------------
	DWORD dwRasterOp;

	// Constructors

	// Default constructor
	SBitmap(void);
	// Normal constructor
	SBitmap(HINSTANCE hInst, LPSTR lpszBitmapResource, DWORD dwDefaultRasterOp = SRCCOPY);
	// Copy contructor
	SBitmap(const SBitmap& bmOld);
	// Use screen to create a blank bitmap.
	SBitmap(HDC hdc, int cxNew, int cyNew, DWORD dwDefaultRasterOp = SRCCOPY);
	// Create a bitmap using an area of a screen.)
	SBitmap(HDC hdc, LPRECT pRect, DWORD dwDefaultRasterOp = SRCCOPY);

	SBitmap& operator=(const SBitmap& bmOld);

	virtual ~SBitmap(void) { if(hbm) DeleteObject(hbm); }
};
#endif


