/*********************************************************
	SLIST.H -- Simple linked-list classes used to assist
				  in the "simple" Windows class library.
				  (Note: the classes in this file are designed to
                     be simple, not C++ savvy.)
**********************************************************/
#if !defined (_SLIST_H)
	#define _SLIST_H

#include <windows.h>

#if defined (_MSC_VER)
	#include "msc_fix.h"
#else
	#include <mem.h>
#endif

#include "serrs.h"

typedef void (*HANDLERPROC)(void *);

typedef struct tagMENUITEMHANDLERREC
{
	int nMenuItemId;
	HANDLERPROC lpfnHandler;
} MENUITEMHANDLERREC;

typedef int TIMERID;

typedef struct tagDLGHANDLERREC
{
	int nControlId;
	int nNotifyCode;
   HANDLERPROC lpfnHandler;
} DLGHANDLERREC;

typedef struct tagPTRNODE
{
	LPSTR lpData;
	LPSTR lpNext;
} PTRNODE;


class LINKEDPTRLIST
{
public:
	LINKEDPTRLIST(void);
	~LINKEDPTRLIST(void) { EmptyList(); if (Head) delete Head; } ;
	int AddNode(LPSTR lpData, int nRecSize);
	int AddPreexistingNode(LPSTR lpData);
	int DeleteNode(int nIndex);
	void EmptyList(void);

	// Error routines -- Structured exception handling
	//                   will be added in a later version.
	void GetLastError(int& nErr, LPSTR lpszErrDesc = NULL);
	void ClearError(void);

	PTRNODE *Current;
	PTRNODE *Head;
	PTRNODE *Tail;

	int nCount;
private:

	int nErrCode;
	char szErrMsg[80];
};

#endif

