/*********************************************************
	SSPRITE.H -- Header file for a sprite class.
*********************************************************/
#if !defined (_SSPRITE_H)
	#define _SSPRITE_H
#include <windows.h>
//#include "sbitmap.h"

// Marks a 'hit' on the edge of a window.
enum eEdges { TOP, LEFT, BOTTOM, RIGHT };

class SSprite
{
public:
	HBITMAP hbmXOR;
	HBITMAP hbmAND;

	int x;
	int y;

	int cx;
	int cy;

	int cxDelta;
	int cyDelta;

	int xOld;
	int yOld;

	SSprite(HWND hwnd = NULL, LPSTR lpszXORBitmap = NULL, LPSTR lpszANDBitmap = NULL, int xPos = 0, int yPos = 0, int cxNewDelta = 0, int cyNewDelta = 0);

	int LoadBitmaps(HWND hwnd, LPSTR lpszXORBitmap, LPSTR lpszANDBitmap);

	virtual ~SSprite(void);

	// Copy contructor
	SSprite(const SSprite& sprOld);

	SSprite& operator=(const SSprite& sprOld);

	// Initialize an sprite--movement and initial position.
	virtual void Init(void) {};

	virtual void UpdatePos(void);

	virtual int IsOnEdge(const RECT& rTest);
	virtual int IsOnEdge(HWND hwndFrame) { RECT r;  GetClientRect(hwndFrame, &r); return IsOnEdge(r); }

	// Override to implement more interesting changes of direction.
	virtual void ChangeDirection(eEdges EdgeHitCode);
};
#endif


